/accounts/{accountId}/bots/{botId}/events-configuration
http://service.chime.aws.amazon.com/accounts/{accountId}/bots/{botId}/events-configurationCreates an events configuration that allows a bot to receive outgoing events sent by Amazon Chime. Choose either an HTTPS endpoint or a Lambda function ARN. For more information, see <a>Bot</a>.
Path Parameters
The Amazon Chime account ID.
The bot ID.
Body Params
Lambda function ARN that allows the bot to receive outgoing events.
HTTPS endpoint that allows the bot to receive outgoing events.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://service.chime.aws.amazon.com/accounts/{accountId}/bots/{botId}/events-configuration' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}